using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Drawing;

namespace pcd_g1
{
	class SlopeBlockStageObject : BlockStageObject
	{
		public SlopeBlockStageObject(int x, int y)
			: base(x, y)
		{
			Range = new SlopeTypeACollideRange(this);
			((SlopeTypeACollideRange)Range).P2 = new Point(32, 32);
		}

		public override void Draw(Graphics g, int width, int height)
		{
			g.DrawLine(Pens.Red, new Point(0, 0), new Point(32, 32));
			g.DrawRectangle(Pens.Blue, 0, 0, 32, 32);
		}

		public override bool EventProc(EventType type, IStageObject sender, CollideDirection direction)
		{
			return base.EventProc(type, sender, direction);
		}
	}
}
